
/****** Object:  StoredProcedure [dbo].[ins_doc_estadoTipoDocumento]    Script Date: 21/11/2019 11:40:54 a.m. ******/
DROP PROCEDURE [dbo].[ins_doc_estadoTipoDocumento]
GO

/****** Object:  StoredProcedure [dbo].[ins_doc_estadoTipoDocumento]    Script Date: 21/11/2019 11:40:54 a.m. ******/
SET ANSI_NULLS OFF
GO

SET QUOTED_IDENTIFIER OFF
GO

CREATE PROCEDURE [dbo].[ins_doc_estadoTipoDocumento]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_estadoTipoDocumento varchar(300),
		@p_estadoTipoDocumento_codigo varchar(100),
		@p_afectaIndicador bit,
		@p_editaDocumento bit,
		@p_orden int,
		@p_puedeRegresar bit,
		@p_color varchar(6),
		@p_afectaInventario bit,
		@p_id_tipoDocumento int,
		@p_descripcion varchar(500),
		@p_observacionesObligatorio bit,
		@p_motivoObligatorio bit
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [doc_estadoTipoDocumento]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[estadoTipoDocumento],
			[estadoTipoDocumento_codigo],
			[afectaIndicador],
			[editaDocumento],
			[orden],
			[puedeRegresar],
			[color],
			[afectaInventario],
			[id_tipoDocumento],
			[descripcion],
			[observacionesObligatorio],
		    [motivoObligatorio] )
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_estadoTipoDocumento,
			@p_estadoTipoDocumento_codigo,
			@p_afectaIndicador,
			@p_editaDocumento,
			@p_orden,
			@p_puedeRegresar,
			@p_color,
			@p_afectaInventario,
			@p_id_tipoDocumento,
			@p_descripcion,
			@p_observacionesObligatorio,
		    @p_motivoObligatorio )
		SET @v_id = scope_identity()
UPDATE [doc_estadoTipoDocumento] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
